Selected Filters


Loading...

Availability


Disc Brake Kits

Individual Parts

Results 951 - 975 of 1233

LEED Brakes Front Disc Brake Conversion Kits for 1964-1966 MUSTANG - RFC0005-H405MX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,824.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Brake Conversion Kit, MaxGrip Lite D11, 4 Piston Red Calipers, Ford, Mustang, 1965-1966, Manual Transmission, Kit

Part Number: LEB-S0127

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,824.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2006-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,955.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-RFC20068405X

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,955.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,576.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2001-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,576.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC0025-Y307X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,739.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Power Assist Kit w/ MaxGrip XDS, Drilled/Slotted Rotors, Black Calipers, Ford, Mercury, Full Size, Kit

Part Number: LEB-S0110

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,739.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits for 1970 COUGAR, MUSTANG - RFC0007-X405MX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,924.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Brake Conversion Kit, MaxGrip Lite D11, 4 Piston Red Calipers, Ford, Mustang, 1970, Manual Transmission, Kit

Part Number: LEB-S0131

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,924.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

Disc Brakes, Dynapro Radial Big Brake, Front, 12 in.Slotted/Drilled Rotors, 4-Piston Aluminum Red Powdercoated Calipers, Subaru, Kit

Part Number: WIL-140-9193-DR

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Dynalite Big Brake, Solid Surface Rotors, 4-Piston Black Caliper, Chrysler, Dodge/Plymouth

Part Number: WIL-140-9828

5.0 out of 5 stars ( 1 )

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brake Kit, Forged Narrow Superlite 4R, Front, 12.19 in. Solid Rotor, 4-Piston Red Powdercoated Caliper, Jeep, Factory Spindle, Kit

Part Number: WIL-140-12613-R

4.0 out of 5 stars ( 1 )

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, DynaPro Pro Series, Front, Solid Surface Rotors, 4-piston Black Calipers, Ford, Mercury, Kit

Part Number: WIL-140-13377

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Forged Dynalite Pro Series, Front, Cross-drilled/Slotted Rotors, 4-piston Black Calipers, MG, Kit

Part Number: WIL-140-15020-D

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brake Kit, Forged Dynalite, Front, Vented Rotors, Cross-Drilled/Slotted Surface, Four Piston Calipers, Forged Billet Aluminum, Black, Mopar, Kit

Part Number: WIL-140-15461-D

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Dynalite Big Brake, Cross-Drilled Rotors, 4-Piston Calipers, for use on Acura®, Kit

Part Number: WIL-140-7014-D

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brake Kit, Dynalite Big Brakes, Front, Solid Surface Rotor, 4-Piston Caliper, Black, Ford, Kit

Part Number: WIL-140-8583

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Dynalite Big Brake, Front, 12.19 in.Solid Surface Rotors, 4-Piston Aluminum Black Powdercoated Calipers, Mitsubishi, Lancer, Kit

Part Number: WIL-140-7015

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brake Kit, Forged Dynalite Big Brake, Front, Light-Duty, Four Piston Caliper, Billet Aluminum, Red Powdercoated, Buick, Chevy, Oldsmobile, Kit

Part Number: WIL-140-9053-R

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Dynalite Big Brake, Drilled/Slotted Rotors, 4-Piston Black Calipers, Chevy, Kit

Part Number: WIL-140-11812-D

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brake Kit, Dynalite Pro Big Brakes, Front, Slotted/Drilled Rotor, 4-Piston Caliper, Black, Audi, VW, Kit

Part Number: WIL-140-8276-D

5.0 out of 5 stars ( 1 )

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Forged Dynalite Big Brake, Front, Solid Surface Rotors, Black Calipers, Fiat, Mazda, Kit

Part Number: WIL-140-14233

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Big Brake, Solid Surface Rotors, 4-Piston Red Calipers, Chevy, Kit

Part Number: WIL-140-11812-R

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Dynalite Pro Series, Front, Solid Surface Rotors, 4-piston Red Calipers, Cadillac, Kit

Part Number: WIL-140-12649-R

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Pro Series, Solid Surface Rotors, 4-Piston Red Calipers, Chevy, Kit

Part Number: WIL-140-11811-R

1.0 out of 5 stars ( 1 )

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

KIT, FRONT, DIRT MODIFIED, POWERLITE, 11.75

Part Number: WIL-140-14342

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Cross-drilled/Slotted Surface Rotors, 4-piston Calipers, Black, Jeep, Kit

Part Number: WIL-140-12576D

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, DynaPro Dust-Boot Pro Series, Front, Solid Surface Rotors, 4-piston Calipers, Buick, Chevy, Kit

Part Number: WIL-140-13202-R

Not Yet Reviewed

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today

Disc Brakes, Front, Pro Series, Solid Surface Rotors, 4-Piston Red Calipers, For Magnum Force Spindles, Kit

Part Number: WIL-140-11019-R

5.0 out of 5 stars ( 1 )

Estimated Ship Date: Nov 9, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 9, 2026 if ordered today